package kr.co.jinwoosi.clfd.framework.file.mapper;

import egovframework.rte.psl.dataaccess.mapper.Mapper;
import kr.co.jinwoosi.clfd.framework.base.mapper.BaseMapper;
import kr.co.jinwoosi.clfd.framework.file.model.FileItem;
import kr.co.jinwoosi.clfd.framework.file.model.FileItemSearch;

@Mapper (value="fileItemMapper")
public interface FileItemMapper extends BaseMapper<FileItem, FileItemSearch> {
	
	int selectSerial(String fileId);

	void updateFileId(FileItem fileItem);
	
	void updateDwnCnt(Long itemId);
}
